#ifndef HEADER_DH_H
#include <openssl/dh.h>
#endif
DH *get_dh512()
	{
	static unsigned char dh512_p[]={
		0xBB,0x80,0x40,0xDA,0x26,0x34,0xDA,0x7B,0x48,0xDB,0xCA,0x26,
		0x5F,0xE6,0x11,0x7B,0x58,0x90,0xEC,0x4F,0xC7,0xCC,0xEF,0x2E,
		0xA6,0x13,0x4B,0xA6,0x94,0x8B,0x79,0x80,0xDB,0x56,0x5F,0xCE,
		0x8F,0x36,0xAD,0x5C,0xC2,0xCC,0xF7,0x79,0xA9,0x01,0x95,0x8F,
		0x1C,0x0F,0x29,0x0D,0xB3,0x94,0x43,0x00,0x35,0xAE,0x36,0x5B,
		0x34,0x02,0x00,0x9B,
		};
	static unsigned char dh512_g[]={
		0x02,
		};
	DH *dh;

	if ((dh=DH_new()) == NULL) return(NULL);
	dh->p=BN_bin2bn(dh512_p,sizeof(dh512_p),NULL);
	dh->g=BN_bin2bn(dh512_g,sizeof(dh512_g),NULL);
	if ((dh->p == NULL) || (dh->g == NULL))
		{ DH_free(dh); return(NULL); }
	return(dh);
	}
